ITEM.ID = "trinkhelm04"
ITEM.Name = 'Trinkhelm (Grün)'
ITEM.Price = 560000
ITEM.Model = 'models/sal/acc/fix/beerhat.mdl'
ITEM.Skin = 3
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications1 = {
	["models/player/group01/female_01.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.8, 0, 0},
	},
	["models/player/group01/female_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.8, 0, 0},
	},
	["models/player/group01/female_03.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-3.9, 0, 0},
	},
	["models/player/group01/female_04.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, 0},
	},
	["models/player/group01/female_06.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-3.9, 0, 0},
	},
	["models/player/group01/male_05.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0},
	},
	["models/player/group01/male_06.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/group01/male_07.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.3, 0, 0},
	},
	["models/player/leet.mdl"] = {
		size = {1.15, 1.1, 1.1},
		ang = {0, 0, 0},
		pos = {-3.5, 0, 2},
	},
	["models/player/hostage/hostage_01.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0},
	},
	["models/player/group02/male_06.mdl"] = {
		size = {1.1, 1.1, 1},
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/alyx.mdl"] = {
		size = {1.15, 1.15, 1},
		ang = {0, 0, 0},
		pos = {-4.3, 0, 0},
	},
	["models/player/suits/male_06_open.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-3.2, 0, 0.2},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.7, 0, 0.5},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {0.8, 0.9, 0.8},
		ang = {0, 0, 0},
		pos = {-3.5, 0, -1.5},
	},
	["models/player/mossman.mdl"] = {
		size = {1.15, 1, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		size = {1.15, 1, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		size = {1.15, 1.05, 1},
		ang = {0, 0, 0},
		pos = {-4.2, 0, 1.7},
	},
	["models/player/barney.mdl"] = {
		size = {1.1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-3.6, 0, 0.2},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.9, 0.91, 0.9},
		ang = {0, 0, 0},
		pos = {-3.6, 0, -1},
	},
	["models/player/odessa.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0.2},
	},
	["models/player/group03/female_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.8, 0, 0},
	},
	["models/player/group03/female_03.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.6, 0, 0},
	},
	["models/player/group03/female_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/group03/male_01.mdl"] = {
		size = {1.05, 1, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, 0.2},
	},
	["models/player/group03/male_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.9, 0, 0.2},
	},
	["models/player/group03/male_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.7, 0, 0},
	},
	["models/player/group03/male_05.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1.1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-4.1, 0, 0.2},
	},
	["models/player/group03/male_07.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.6, 0, 0},
	},
	["models/player/group03/male_08.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.8, 0, 0},
	},
	["models/player/gman_high.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0},
	},
	["models/player/phoenix.mdl"] = {
		size = {1.1, 1, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.5},
	},
	["models/player/guerilla.mdl"] = {
		size = {1.05, 1.05, 1},
		ang = {0, 0, 0},
		pos = {-4.5, 0, 1.5},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1.5},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications1[ply_model] then
		return PS:ModifyModel(model_modifications1[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "wolfsmaske"
ITEM.Name = 'Wolfsmaske'
ITEM.Price = 1000000
ITEM.Model = 'models/sal/wolf.mdl'
ITEM.Attachment = 'eyes'
ITEM.Weight = 2
ITEM.Tier3 = true

ITEM.TeamOnly = {
	[TEAM_GANGSTER] = true,
	[TEAM_GANGSTERBOSS] = true,
	[TEAM_THIEF] = true,
	[TEAM_MASTERTHIEF] = true,
	[TEAM_REBEL] = true,
	[TEAM_REBELBOSS] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true
}

local model_modifications2 = {
	["models/player/group03/male_01.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_02.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_03.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_04.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_05.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1.0499999523163, 0.89999997615814, 1.0499999523163},
		ang = {0, 0, 0},
		pos = {-4.5, 0, -3.2999999523163},
	},
	["models/player/group03/male_07.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_08.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/group03/male_09.mdl"] = {
		size = {1, 0.89999997615814, 0.99000000953674},
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, -3},
	},
	["models/player/phoenix.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4.5, 0, -2},
	},
	["models/player/guerilla.mdl"] = {
		size = {1.1000000238419, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4.9000000953674, 0, -2},
	},
	["models/player/arctic.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4.5, 0, -2},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications2[ply_model] then
		return PS:ModifyModel(model_modifications2[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {1, 0.9, 0.9}, ang = {0, 0, 0}, pos = {-4.3, 0, -3}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "zylinder"
ITEM.Name = 'Zylinder'
ITEM.Price = 350000
ITEM.Model = 'models/gmod_tower/tophat.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications3 = {
	["models/player/group01/female_03.mdl"] = {
		size = {1.1, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-3.9, 0, 0.5},
	},
	["models/player/leet.mdl"] = {
		size = {1.19, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-3.9, 0, 2.5},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 12.52},
		pos = {-3, 0, 0},
	},
	["models/player/group02/male_06.mdl"] = {
		size = {1.08, 1, 0.7},
		ang = {0, 0, 7.83},
		pos = {-3.6, 0, 0.5},
	},
	["models/player/group02/male_08.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 10.96},
		pos = {-3.6, 0, 0},
	},
	["models/player/alyx.mdl"] = {
		size = {1.15, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-4.2, 0, 1.2},
	},
	["models/player/suits/male_04_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 15.65},
		pos = {-4, 0, 0.5},
	},
	["models/player/suits/male_05_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/suits/male_06_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 17.22},
		pos = {-3.5, 0, 0.5},
	},
	["models/player/suits/male_07_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-4, 0, 0.8},
	},
	["models/player/suits/male_08_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 20.35},
		pos = {-4, 0, -0.6},
	},
	["models/player/suits/male_09_open.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 7.83},
		pos = {-4, 0, 0.5},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		size = {1.07, 1, 0.7},
		ang = {0, 0, 10.96},
		pos = {-2.6, 0, 0.5},
	},
	["models/player/corpse1.mdl"] = {
		size = {1.1, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-3.6, 0, 0},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {0.9, 0.7, 0.6},
		ang = {0, 0, 9.39},
		pos = {-3.7, 0, -1},
	},
	["models/player/mossman.mdl"] = {
		size = {1.22, 1, 0.6},
		ang = {0, 0, 0},
		pos = {-4.2, 0, 1},
	},
	["models/player/mossman_arctic.mdl"] = {
		size = {1.22, 1, 0.6},
		ang = {0, 0, 0},
		pos = {-4.2, 0, 1},
	},
	["models/player/mechanic.mdl"] = {
		size = {1.07, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-4.2, 0, 2.5},
	},
	["models/player/barney.mdl"] = {
		size = {1.1, 1, 0.7},
		ang = {0, 0, 0},
		pos = {-3.9, 0, 1},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.9, 0.9, 0.6},
		ang = {0, 0, 14.09},
		pos = {-4, 0, -1},
	},
	["models/player/odessa.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 7.83},
		pos = {-3.5, 0, 0},
	},
	["models/player/group03/male_01.mdl"] = {
		size = {1.09, 1, 0.7},
		ang = {0, 0, 10.96},
		pos = {-3.8, 0, 0},
	},
	["models/player/group03/male_02.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 10.96},
		pos = {-3.5, 0, 0},
	},
	["models/player/group03/male_03.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 15.65},
		pos = {-3.8, 0, 0},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1.15, 1, 0.7},
		ang = {0, 0, 14.09},
		pos = {-3.8, 0, 0},
	},
	["models/player/group03/male_08.mdl"] = {
		size = {1.05, 1, 0.7},
		ang = {0, 0, 14.09},
		pos = {-3.6, 0, 0},
	},
	["models/player/group03/male_09.mdl"] = {
		size = {1.07, 1, 0.7},
		ang = {0, 0, 12.52},
		pos = {-3.6, 0, 0},
	},
	["models/player/phoenix.mdl"] = {
		size = {1.15, 1, 0.7},
		ang = {0, 0, 17.22},
		pos = {-3.7, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		size = {1.15, 1, 0.7},
		ang = {0, 0, 12.52},
		pos = {-4, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		size = {1.15, 1, 0.7},
		ang = {0, 0, 17.33},
		pos = {-3.6, 0, 1},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications3[ply_model] then
		return PS:ModifyModel(model_modifications3[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {1.05, 1, 0.7}, ang = {0, 0, 0}, pos = {-3.5, 0, 1}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "katzenohren"
ITEM.Name = 'Katzenohren'
ITEM.Price = 1200000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/cat_ears.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier3 = true

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications4 = {
	["models/player/group01/male_03.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2.2000000476837, 0, -2.5},
	},	
	["models/player/leet.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2, 0, -2.7000000476837},
	},
	["models/player/suits/male_02_open.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-3, 0, -2.0999999046326},
	},
	["models/player/suits/male_03_open.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2.5, 0, -2.2000000476837},
	},
	["models/player/suits/male_07_open.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-3, 0, -2},
	},
	["models/player/eli.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-3, 0, -3},
	},
	["models/player/phoenix.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2, 0, -1},
	},
	["models/player/guerilla.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.5},
	},
	["models/player/arctic.mdl"] = {
		size = {0.69999998807907, 0.5, 0.70999997854233},
		ang = {0, 0, 0},
		pos = {-2, 0, -1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 36},
		pos = {-1, 0, -4.1999998092651},
	},
	["models/player/kleiner.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-2, 0, -3},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.69999998807907, 0.5, 0.69999998807907},
		ang = {0, 0, 0},
		pos = {-3, 0, -4},
	},		
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications4[ply_model] then
		return PS:ModifyModel(model_modifications4[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {0.7, 0.5, 0.7}, ang = {0, 0, 0}, pos = {-3, 0, -1.9}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "sternreif01"
ITEM.Name = 'Sternreif (Rot)'
ITEM.Price = 420000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/starband.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier2 = true

ITEM.TeamExclude = {
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications5 = {
	["models/player/leet.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 2},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1.2999999523163},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 1.6000000238419},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, -1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 34.430000305176},
		pos = {-3, 0, -4},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, -2},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications5[ply_model] then
		return PS:ModifyModel(model_modifications5[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "sternreif02"
ITEM.Name = 'Sternreif (Weiß)'
ITEM.Price = 410000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/starband.mdl'
ITEM.Skin = 1
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier2 = true

ITEM.TeamExclude = {
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications6 = {
	["models/player/leet.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 2},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1.2999999523163},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 1.6000000238419},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, -1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 34.430000305176},
		pos = {-3, 0, -4},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, -2},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications6[ply_model] then
		return PS:ModifyModel(model_modifications6[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "herzreif01"
ITEM.Name = 'Herzreif (Pink)'
ITEM.Price = 370000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/heartband.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier1 = true

ITEM.TeamExclude = {
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications7 = {
	["models/player/leet.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 2},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1.2999999523163},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 1.6000000238419},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, -1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 34.430000305176},
		pos = {-3, 0, -4},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, -2},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications7[ply_model] then
		return PS:ModifyModel(model_modifications7[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "herzreif02"
ITEM.Name = 'Herzreif (Rot)'
ITEM.Price = 380000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/heartband.mdl'
ITEM.Skin = 1
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier1 = true

ITEM.TeamExclude = {
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications8 = {
	["models/player/leet.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 2},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1.2999999523163},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 1.6000000238419},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, -1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 34.430000305176},
		pos = {-3, 0, -4},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 2},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-4, 0, -2},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications8[ply_model] then
		return PS:ModifyModel(model_modifications8[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "sonnenhut"
ITEM.Name = 'Sonnenhut'
ITEM.Price = 360000
ITEM.Model = 'models/captainbigbutt/skeyler/hats/sunhat.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier1 = true

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications9 = {
	["models/player/phoenix.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-7, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6, 0, 1},
	},
	["models/player/group01/female_04.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6.5, 0, 0},
	},
	["models/player/leet.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6, 0, 2},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-5, 0, 0},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 6.2600002288818},
		pos = {-6.5, 0, -2.6099998950958},
	},
	["models/player/mechanic.mdl"] = {
		size = {1, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6.5, 0, 1},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-6, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 1},
		ang = {0, 0, 0},
		pos = {-6, 0, 0.20000000298023},
	},														
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications9[ply_model] then
		return PS:ModifyModel(model_modifications9[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {0.9, 0.9, 1}, ang = {0, 0, 0}, pos = {-6, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()